Subject: Re: bug#48796: Guix on Debian 11 - Cant run or find applications from Guix

From: Maxime Devos <[email-masked]>
Date: Thu, 03 Jun 2021 23:26:53 +0200

bo0od schreef op wo 02-06-2021 om 18:56 [+0000]:
> Hi There,
> 
> I have installed Guix package manager over debian bullseye 11 then i 
> installed a package using guix (after running guix pull) with two ways: 
> (x package i tried is icecat)
> 
> guix install x
> 
> sudo -i guix install x

There should be no need to install anything as root,
unless you make a habit of logging in as the root user
and work from there (not recommended).

(Except the guix daemon itself maybe? But that's "sudo guix pull"
I think, not "sudo guix install guix". I'm on Guix System
myself.)

> both of the commands worked but the x package has no icon nor i can run 
> it using terminal.

Which icon are you looking at? The icon in a desktop menu?
The ‘cat around a globe’ image you'd see on ‘new tab’ windows
above the search bar? The same image, but downscaled, before
‘New Tab’ in the tab bar?

> nor i can run it using terminal

I can use IceCat just fine from the terminal (Guix System),
more details are needed, ‘I can't run it’ is rather vague.
Is there any log output, does IceCat start but crash soon,
maybe ‘bash: icecat: command not found’, ...?

Greetings,
Maxime.